RFIDWithISO14443A.KeyType

com.rscja.deviceapi

## Enum RFIDWithISO14443A.KeyType

- java.lang.Object
- - java.lang.Enum<RFIDWithISO14443A.KeyType>
  - - com.rscja.deviceapi.RFIDWithISO14443A.KeyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RFIDWithISO14443A.KeyType>
  Enclosing class:
    RFIDWithISO14443A

      public static enum RFIDWithISO14443A.KeyType
      extends java.lang.Enum<RFIDWithISO14443A.KeyType>

  密钥类型，适用于S50和S70标签。
  key type, used for S50 and S70 tags.
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TypeA`
    `TypeB`
    `TypeDes`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RFIDWithISO14443A.KeyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RFIDWithISO14443A.KeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TypeA

          public static final RFIDWithISO14443A.KeyType TypeA

    - #### TypeB

          public static final RFIDWithISO14443A.KeyType TypeB

    - #### TypeDes

          public static final RFIDWithISO14443A.KeyType TypeDes

  - ### Method Detail

    - #### values

          public static RFIDWithISO14443A.KeyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFIDWithISO14443A.KeyType c : RFIDWithISO14443A.KeyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFIDWithISO14443A.KeyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null